AgentConnect
Integrations

Start Slack auto-install

Create a Slack app from a manifest using the ORG's stored App Configuration token (Settings), then return the browser OAuth install link. The stored token is auto-rotated when stale.

POST
/v1/orgs/{orgId}/integrations/slack/app

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/orgs/string/integrations/slack/app" \  -H "Content-Type: application/json" \  -d '{    "agentId": "string"  }'
{  "installId": "string",  "appId": "string",  "installUrl": "string",  "transport": "socket"}